%global	sname	ip4r

Summary:	IPv4/v6 type and IPv4/v6 range index type for PostgreSQL
Name:		postgresql-%{sname}
Version:	2.4.1
Release:    1%{?dist}
License:	BSD
Source0:	https://github.com/RhodiumToad/%sname/archive/%version/%name-%version.tar.gz
URL:		https://github.com/RhodiumToad/ip4r


BuildRequires: make
BuildRequires:	gcc
BuildRequires:	clang-devel llvm-devel
BuildRequires:	postgresql-server-devel


%{?postgresql_module_requires}

%description
ip4, ip4r, ip6, ip6r, ipaddress and iprange are types that contain a single
IPv4/IPv6 address and a range of IPv4/IPv6 addresses respectively. They can
be used as a more flexible, indexable version of the cidr type.

%prep
%autosetup -n %{sname}-%{version} -p1


%build
%make_build PG_CONFIG=%_bindir/pg_server_config


%install
%make_install PG_CONFIG=%_bindir/pg_server_config
%{__rm} %{buildroot}/usr/share/doc/pgsql/extension/README.ip4r

%{__rm} -r %{buildroot}%{_includedir}/pgsql


%files
%doc README.ip4r
%{_datadir}/pgsql/extension/*
%{_libdir}/pgsql/%{sname}.so

%changelog
* Wed Aug 28 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.4.1-1
- initial build
